Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice
Class EngineConfigurationFinder

    java.lang.Object
      org.jboss.webservice.EngineConfigurationFinder

public final class EngineConfigurationFinder
extends Object

Discover the Axis EngineConfiguration.

Since:
  30-April-2004
Author:
  Thomas.Diesler@jboss.org

Field Summary
`static String` | `DEFAULT_CLIENT_CONFIG`
`static String` | `DEFAULT_SERVER_CONFIG`

Constructor Summary
`EngineConfigurationFinder()`

Method Summary
`static org.apache.axis.EngineConfiguration` | `getClientEngineConfiguration()` Get the AxisClient EngineConfiguration.
`static org.apache.axis.EngineConfiguration` | `getServerEngineConfiguration()` Get the AxisClient EngineConfiguration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SERVER_CONFIG

    public static final String DEFAULT_SERVER_CONFIG

See Also:
  Constant Field Values

### DEFAULT_CLIENT_CONFIG

    public static final String DEFAULT_CLIENT_CONFIG

See Also:
  Constant Field Values

Constructor Detail

### EngineConfigurationFinder

    public EngineConfigurationFinder()

Method Detail

### getClientEngineConfiguration

    public static org.apache.axis.EngineConfiguration getClientEngineConfiguration()

  Get the AxisClient EngineConfiguration.

  1. Read the config location from the system property `Constants.CLIENT_CONFIG` 2. If not set, fall back to 'META-INF/axis-client-config.xml' 3. Try to access the config location as URL 4. Try to access the config location as File 5. Try to access the config location as Resource

  Returns:
    The client EngineConfiguration, or null

### getServerEngineConfiguration

    public static org.apache.axis.EngineConfiguration getServerEngineConfiguration()

  Get the AxisClient EngineConfiguration.

  1. Read the config location from the system property `org.jboss.webservice.Constants.SERVER_CONFIG` 2. If not set, fall back to 'META-INF/axis-server-config.xml' 3. Try to access the config location as URL 4. Try to access the config location as File 5. Try to access the config location as Resource

  Returns:
    The client EngineConfiguration, or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.